#!/bin/bash
set -e

P_UID=1000
P_GID=1000

SHARED_DIR=/opt/shared

cd ${SHARED_DIR}

mkdir cache && cd cache
mkdir composer JetBrains yarn

mkdir local-share && cd local-share
mkdir JetBrains pnpm

cd ${SHARED_DIR}
mkdir nvm pyenv tmux

cd ${SHARED_DIR}
chown -R $P_UID:$P_GID \
    cache \
    local-share
    nvm \
    pyenv \