#!/bin/bash
set -e

# Проект должен быть указан родительским скриптом
if [ ! -n "$PROJECT" ]; then
    echo "❌ Проект не указан!"
    exit 1
fi

HOSTFILES_DIR=${PROJECT_DIR}/hostfiles
mkdir ${HOSTFILES_DIR}
chown $P_UID:$P_GID ${HOSTFILES_DIR}

LOGS_DIR=${PROJECT_DIR}/logs
mkdir ${LOGS_DIR}
mkdir ${LOGS_DIR}/mariadb
mkdir ${LOGS_DIR}/nginx
mkdir ${LOGS_DIR}/php-fpm

MARIADB_DIR=${PROJECT_DIR}/mariadb
mkdir ${MARIADB_DIR}

PROFILER_DIR=${PROJECT_DIR}/profiler
mkdir ${PROFILER_DIR}